using System;
using System.Collections.Generic;
using System.Text;

namespace Performance
{
   class Program
   {
      static void Main(string[] args)
      {
         int sec;
         int i = 0;
         long summe = 0;

         // auf die nächste volle Sekunde warten
         while (DateTime.Now.Millisecond != 0)
            ;

         sec = DateTime.Now.Second;

         // jetzt für die Dauer von einer Sekunde addieren
         while (DateTime.Now.Second == sec)
         {
            i++;
            summe += i;
         }

         // Ergebnis ausgeben
         Console.WriteLine("Die Summe der Zahlen von 1 bis {0} beträgt {1}", i, summe);
      }
   }
}
